| Home | Libraries | People | FAQ | More

## Function template trim_right_if

boost::algorithm::trim_right_if — Right trim - parametric.

## Synopsis

    // In header: <boost/algorithm/string/trim.hpp>

    template<typename SequenceT, typename PredicateT>
      void trim_right_if(SequenceT & Input, PredicateT IsSpace);

## Description

Remove all trailing spaces from the input. The supplied predicate is used to determine which characters are considered spaces. The input sequence is modified in-place.

Parameters:

`Input` | An input sequence
`IsSpace` | A unary predicate identifying spaces